subdomain loads php 5.6 on http and php 7 on https

Apr 11, 2018
5
0
1
santiago chile
cPanel Access Level
Root Administrator
I have a whm/cpanel vps. I am trying out opendocman and I had to downgrade to php 5.6 because of deprecated class constructors. No worries. I changed the subdomain to 5.6 and it works fine on http, but of https, it is running php 7 (which doesn't work).

I can't find anything online with people having this problem. I didn't even know it was possible to run different versions of php for http/https. how to I force the php downgrade on https?
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,904
2,220
463
Hello @roadpaperweight,

Can you open a support ticket so we can take a closer look at the affected account on the system? You can post the ticket number here and we'll update this thread with the outcome.

Thank you.